Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.util
Enum ClearableTableModel.ClearType

    java.lang.Object
      java.lang.Enum<ClearableTableModel.ClearType>
          org.ka2ddo.yaac.util.ClearableTableModel.ClearType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ClearableTableModel.ClearType>

Enclosing interface:
  ClearableTableModel

    public static enum ClearableTableModel.ClearType

extends java.lang.Enum<ClearableTableModel.ClearType>

Enumeration specifying which types of records should be cleared when deleteAllRows is called.

See Also:
  `ClearableTableModel.deleteAllRows(org.ka2ddo.yaac.util.ClearableTableModel.ClearType)`

Enum Constant Summary
`ALL`
`PLAYBACK`
`REALTIME`

Method Summary
`static ClearableTableModel.ClearType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClearableTableModel.ClearType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final ClearableTableModel.ClearType ALL

### REALTIME

    public static final ClearableTableModel.ClearType REALTIME

### PLAYBACK

    public static final ClearableTableModel.ClearType PLAYBACK

Method Detail

### values

    public static ClearableTableModel.ClearType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ClearableTableModel.ClearType c : ClearableTableModel.ClearType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ClearableTableModel.ClearType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD